.menu {
  align-items: flex-start;
  background-color: transparent;
  display: inline-flex;
  flex-direction: column;
  margin-right: 20px;

  flex: 1;

  &Item {
    align-items: center;
    border-radius: 0 30px 30px 0;
    display: flex;
    gap: 8px;
    height: 40px;
    padding: 0 0 0 44px;
    position: relative;
    flex-direction: row;

    white-space: nowrap;
    width: 100%;
    background-color: transparent;
    letter-spacing: 0;
    text-align: left;
    color: var(--light-dark);
    font-size: var(--font-size-m);
    font-style: normal;
    font-weight: 400;

    transition: 0.3s ease;

    &:hover, &:focus {
      color: var(--light-dark);
      transform: scale(1.1);
    }

    &Active {
      background-color: var(--violet--base);
      color: var(--white);
      font-weight: bold;

      &:hover, &:focus {
        transform: scale(1);
        color: var(--white);
      }
    }
  }
}
